#include <unistd.h>
#include <fcntl.h>

#include "err.h"

#define BUFSIZE 1024

int main(int argc, char *argv[])
{
  int source, dest, r;
  char buf[BUFSIZE];

  if (argc != 3) 
    fatal("Usage %s source dest", argv[0]);

  if ((source = open(argv[1], 0, 0)) == -1)
    syserr("open %s", argv[1]);

  if ((dest = open(argv[2], O_CREAT | O_TRUNC | O_WRONLY, 0644)) == -1)
    syserr("open %s", argv[2]);

  while ((r = read(source, buf, sizeof(buf))) != 0)
    if (r == -1) 
      syserr("read");
    else 
      if (write(dest, buf, r) != r)
        syserr("write");

  if (close(source) == -1 || close(dest) == -1)
    syserr("close");
 
  return 0;
}

